#if !defined(AFX_COPYSESSIONDLG_H__E7991D00_79F5_4D52_AB39_7F92B7F62FA9__INCLUDED_)
#define AFX_COPYSESSIONDLG_H__E7991D00_79F5_4D52_AB39_7F92B7F62FA9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CopySession.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCopySessionDlg dialog

class CCopySessionDlg : public CDialog
{
// Construction
public:
	CCopySessionDlg(CWnd* pParent = NULL);   // standard constructor

  enum CopyWhat { ALL_ROOTS_IN_ALL_WINDOWS_TUBES, ALL_ROOTS_IN_THIS_WINDOW_TUBE, JUST_SINGLE_ROOT };

  unsigned int GetSource();
  unsigned int GetDestination();
  unsigned int GetWhichRoot();
  bool SetSource(unsigned int source);
  bool SetDestination(unsigned int destination);
  bool SetWhichRoot(unsigned int whichroot);
  bool SetCurrent(unsigned int curr);
  CopyWhat GetCopyWhat();
  int GetCopyWhichRoot();  // ignore this unless GetCopyWhat() == JUST_SINGLE_ROOT

  CopyWhat m_copy_what;
	UINT	m_curr;
  const unsigned m_first_radio, m_last_radio;

  void EnableDisable();

// Dialog Data
	//{{AFX_DATA(CCopySessionDlg)
	enum { IDD = IDD_COPY_SESSION };
	UINT	m_copy_to;
	UINT	m_copy_from;
	INT	m_copy_whichroot;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCopySessionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCopySessionDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnRadioCopyAllwindowtube();
	afx_msg void OnRadioCopyCurrentwindowtube();
	afx_msg void OnRadioCopyJustonerootincurrentwindowtube();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COPYSESSIONDLG_H__E7991D00_79F5_4D52_AB39_7F92B7F62FA9__INCLUDED_)
