#if !defined(AFX_MANAGECONDITIONCODES_H__6C5F3D66_3362_4B21_A2AF_FDE1390028A7__INCLUDED_)
#define AFX_MANAGECONDITIONCODES_H__6C5F3D66_3362_4B21_A2AF_FDE1390028A7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ManageConditionCodesDlg.h : header file
//

#include <vector>
#include <iterator>
#include <string>


/////////////////////////////////////////////////////////////////////////////
// ManageConditionCodesDlg dialog

class ManageConditionCodesDlg : public CDialog
{
// Construction
public:
	ManageConditionCodesDlg(CWnd* pParent = NULL);   // standard constructor
  void SetConditionCodes(std::vector<CString> user_codes);
  const std::vector<CString> GetConditionCodes() const { return m_codes; }
  void SetDefaultIndex(int index) { m_default_index = index; }
  const int GetDefaultIndex() const { return m_default_index; }

protected:
  void UpdateDefault();
  bool AddNewCode(const CString& new_code);

// Dialog Data
	//{{AFX_DATA(ManageConditionCodesDlg)
	enum { IDD = IDD_CONDITION };
	CButton	m_button_up;
	CButton	m_button_down;
	CStatic	m_text_default;
	CButton	m_button_delete;
	CButton	m_button_add;
	CButton	m_button_default;
	CListBox	m_list;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ManageConditionCodesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

  std::vector<CString> m_codes;
  int m_default_index;
  void EnableDisable();
	// Generated message map functions
	//{{AFX_MSG(ManageConditionCodesDlg)
	virtual void OnOK();
	afx_msg void OnSelchangeList();
	afx_msg void OnButtonDelete();
	afx_msg void OnButtonAdd();
	virtual BOOL OnInitDialog();
	afx_msg void OnCancel();
	afx_msg void OnButtonDefault();
	afx_msg void OnButtonDown();
	afx_msg void OnButtonUp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MANAGECONDITIONCODES_H__6C5F3D66_3362_4B21_A2AF_FDE1390028A7__INCLUDED_)
